Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.data
Class Settimana

    java.lang.Object
      archive.data.Settimana

All Implemented Interfaces:
  HasGotCorsi

    public class Settimana

extends java.lang.Object
implements HasGotCorsi

Una classe che rappresenta una settimana ,estende `AbstractPrenotation`

Constructor Summary
`Settimana()` Costruisce una nuova settimana senza inizializzare i campi
`Settimana(int nsett, int nsd, int psd, int nsu, int psu)` Costruisce una settimana

Method Summary
`boolean` | `addCorso(Corso c)` Implementa il metodo dell'interfaccia `HasGotCorsi`
`void` | `addCorso(java.lang.String s)` Implementa il metodo dell'interfaccia `HasGotCorsi`
`boolean` | `addInAttesa(java.lang.String cognome)` Aggiunge il cognome del cliente in lista di attessa
`boolean` | `addInAttesa(java.lang.String[] cognome)` Aggiunge un array di cognomi in lista di attessa
`void` | `addNSD()` Aggiunge un stanza doppia
`void` | `addNSU()` Aggiunge una stanza suite
`boolean` | `containCorso(Corso c)` Implementa il metodo dell'interfaccia `HasGotCorsi`
`java.util.Set<Corso>` | `getCorsi()` Ritorna i corsi della settimana
`int` | `getNSD()` Ritorna il numero stanze doppie disponibili per la settimana
`int` | `getNSett()` Ritorna il numero settimana
`int` | `getNSU()` Ritorna numero suite multi-stanze disponibili per la settimana
`int` | `getPSD()` Ritorna prezzo stanza doppia
`int` | `getPSU()` Ritorna prezzo suite multi-stanze
`boolean` | `isQueueEmpty()` Controlla se la lista di attessa è vuota
`boolean` | `removeCorso(Corso c)` Implementa il metodo dell'interfaccia `HasGotCorsi`
`java.lang.String` | `removeFromAttesa()` Rimuove effettua una pop dalla coda di attessa
`boolean` | `removeNSD()` Rimuove una stanza doppia
`boolean` | `removeNSU()` Rimuove una suite
`void` | `resetCorsi()` Resetta i corsi creando un nuovo `SetArray`
`boolean` | `setCorsi(java.util.Set<Corso> newCorsi)` Modifica l'insieme dei corsi
`void` | `setLista(java.util.Queue<java.lang.String> lista)` Modifica la lista di attessa
`boolean` | `setPSD(int p)` Modifica il prezzo stanza doppia
`boolean` | `setPSU(int p)` Modifica prezzo suite multi-stanze
`java.lang.String` | `stampaCorsi()` Crea una stringa contenente i corsi
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Settimana

    public Settimana()

  Costruisce una nuova settimana senza inizializzare i campi

### Settimana

    public Settimana(int nsett,
                     int nsd,
                     int psd,
                     int nsu,
                     int psu)

  Costruisce una settimana

  Parameters:
    `nsett` - Numero della settimana
    `nsd` - Numero stanze doppie disponibili per la settimana
    `psd` - Prezzo stanza doppia
    `nsu` - Numero suite multi-stanze disponibili per la settimana
    `psu` - Prezzo suite multi-stanze

Method Detail

### getNSett

    public int getNSett()

  Ritorna il numero settimana

  Returns:
    numero settimana

### getNSD

    public int getNSD()

  Ritorna il numero stanze doppie disponibili per la settimana

  Returns:
    numero stanze doppie

### getPSD

    public int getPSD()

  Ritorna prezzo stanza doppia

  Returns:
    prezzo stanza doppia

### getNSU

    public int getNSU()

  Ritorna numero suite multi-stanze disponibili per la settimana

  Returns:
    numero suite

### getPSU

    public int getPSU()

  Ritorna prezzo suite multi-stanze

  Returns:
    prezzo suite

### getCorsi

    public java.util.Set<Corso> getCorsi()

  Ritorna i corsi della settimana

  Specified by:
    `getCorsi` in interface `HasGotCorsi`
  Returns:
    corsi della settimana

### removeNSD

    public boolean removeNSD()

  Rimuove una stanza doppia

  Returns:
    true se stanza rimossa

### removeNSU

    public boolean removeNSU()

  Rimuove una suite

  Returns:
    true se suite rimossa

### removeFromAttesa

    public java.lang.String removeFromAttesa()

  Rimuove effettua una pop dalla coda di attessa

  Returns:
    il cognome prelevato

### addNSD

    public void addNSD()

  Aggiunge un stanza doppia

### addNSU

    public void addNSU()

  Aggiunge una stanza suite

### resetCorsi

    public void resetCorsi()

  Resetta i corsi creando un nuovo `SetArray`

  Specified by:
    `resetCorsi` in interface `HasGotCorsi`

### setCorsi

    public boolean setCorsi(java.util.Set<Corso> newCorsi)

  Modifica l'insieme dei corsi

  Parameters:
    `newCorsi` - `Set<Corso>`
  Returns:
    true se modificato con successo

### setPSD

    public boolean setPSD(int p)

  Modifica il prezzo stanza doppia

  Parameters:
    `p` - nuovo prezzo
  Returns:
    true se modificato con successo

### setPSU

    public boolean setPSU(int p)

  Modifica prezzo suite multi-stanze

  Parameters:
    `p` - nuovo prezzo
  Returns:
    true se modificato con successo

### setLista

    public void setLista(java.util.Queue<java.lang.String> lista)

  Modifica la lista di attessa

  Parameters:
    `lista` - nuova lista

### isQueueEmpty

    public boolean isQueueEmpty()

  Controlla se la lista di attessa è vuota

  Returns:
    true se coda vuota

### containCorso

    public boolean containCorso(Corso c)

  Implementa il metodo dell'interfaccia `HasGotCorsi`

  Specified by:
    `containCorso` in interface `HasGotCorsi`
  Parameters:
    `c` - `Corso`
  Returns:
    true se il corso e' contenuto

### removeCorso

    public boolean removeCorso(Corso c)

  Implementa il metodo dell'interfaccia `HasGotCorsi`

  Specified by:
    `removeCorso` in interface `HasGotCorsi`
  Parameters:
    `c` - `Corso`
  Returns:
    true se rimosso con sucesso

### addInAttesa

    public boolean addInAttesa(java.lang.String cognome)

  Aggiunge il cognome del cliente in lista di attessa

  Parameters:
    `cognome` - cognome cliente
  Returns:
    true se aggiunto

### addInAttesa

    public boolean addInAttesa(java.lang.String[] cognome)

  Aggiunge un array di cognomi in lista di attessa

  Parameters:
    `cognome` - array di cognomi
  Returns:
    true se aggiunti

### addCorso

    public boolean addCorso(Corso c)

  Implementa il metodo dell'interfaccia `HasGotCorsi`

  Specified by:
    `addCorso` in interface `HasGotCorsi`
  Parameters:
    `c` - corso
  Returns:
    true se aggiunto

### addCorso

    public void addCorso(java.lang.String s)

  Implementa il metodo dell'interfaccia `HasGotCorsi`

  Specified by:
    `addCorso` in interface `HasGotCorsi`
  Parameters:
    `s` - serie di corsi

### stampaCorsi

    public java.lang.String stampaCorsi()

  Crea una stringa contenente i corsi

  Returns:
    sequenza di corsi

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD